{% extends "admin/base_site.html" %}
{% load i18n admin_static admin_list %}

{% block extrastyle %}
    {{ block.super }}
    <link rel="stylesheet" type="text/css" href="{% static 'admin/css/changelists.css' %}"/>
    <script type="text/javascript" src="{% static 'custom/js/Periodos/ventana_popup.js' %}"></script>
    {{ media }}

    <link rel="stylesheet" type="text/css"
          href="{% static 'custom/js/jqgrid/themes/redmond/jquery-ui-1.8.2.custom.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.jqgrid.css' %}"/>
    <link rel="stylesheet" type="text/css" href="{% static 'custom/js/jqgrid/themes/ui.multiselect.css' %}"/>

    <script src="{% static 'custom/js/jqgrid/js/jquery.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/jquery-ui-1.8.2.custom.min.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/jquery.layout.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/i18n/grid.locale-sp.js' %}" type="text/javascript"></script>
    <script type="text/javascript">
        $.jgrid.no_legacy_api = true;
        $.jgrid.useJSON = true;
    </script>
    <script src="{% static 'custom/js/jqgrid/js/jquery.jqGrid.min.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/jquery.tablednd.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/jquery.contextmenu.js' %}" type="text/javascript"></script>
    <script src="{% static 'custom/js/jqgrid/js/ui.multiselect.js' %}" type="text/javascript"></script>

{% endblock %}

{% block bodyclass %}change-list{% endblock %}

{% block breadcrumbs %}
    <div class="breadcrumbs">
        <a href="../../../../">
            {% trans "Inicio" %} &rsaquo;
        </a>
        <a href="../../">
            {% trans "Ciclos Académicos" %} &rsaquo;
        </a>
        <a href="../../configurar/">
            {% trans "Configurar" %} &rsaquo;
        </a>
        <a href="../../{{ periodolabor.id }}/">
            {{ periodolabor.Periodo }} ({{ periodolabor.Labor.Carrera.Carrera }} - {{ periodolabor.Labor.Nombre }}
            - {{ periodolabor.Labor.Ciclo }}º Ciclo) &rsaquo;
        </a>
        Grupo Horario {{ periodolabor.Grupo }}
    </div>
{% endblock %}

{% block coltype %}flex{% endblock %}

{% block content %}
    <!--   <div id="content-main"> -->
    {% if perms.Horarios.read_horario or perms.Horarios.add_horario or perms.Horarios.change_horario %}
        <h2>Horarios Grupo Horario {{ periodolabor.Grupo }} - {{ periodolabor.Labor.Nombre }}
            - {{ periodolabor.Labor.Carrera.Carrera }}</h2>
        <h2>Docente: {{ periodolabor.Docente }}</h2>
        <div class="module aligned" id="changelist">
            {% block object-tools %}
                <ul class="object-tools">
                    {% if perms.Horarios.add_horario %}
                        <li>
                            <a id="lookup_id_Horario" class="addlink"
                               onclick="return abrir_popup('../../agregarhorario/{{ periodolabor.id }}');"
                               href="../../agregarhorario/{{ periodolabor.id }}/">
                                {% trans 'Agregar Horario' %}
                            </a>
                        </li>
                    {% endif %}
                </ul>
            {% endblock %}

            {% block result_list %}
                {% if horarios %}
                    <table cellspacing="0">
                        <THEAD>
                        <TR>
                            <TH>&rsaquo;</TH>
                            <TH>{% trans 'Día' %}</TH>
                            <TH>{% trans 'Inicio' %}</TH>
                            <TH>{% trans 'Fin' %}</TH>
                            <TH>{% trans 'Sección' %}</TH>
                            {% if perms.Horarios.change_horario %}
                                <TH>{% trans 'Accíon' %}</TH>
                            {% endif %}
                            {% if perms.Horarios.delete_horario %}
                                <TH>{% trans 'Acción' %}</TH>
                            {% endif %}
                        </TR>
                        </THEAD>
                        <TBODY>
                        {% for horario in horarios %}
                            <TR class="{% cycle 'row1' 'row2' %}">
                                <TD>&rsaquo;</TD>
                                <TD>{{ horario.Dia|escape }}</TD>
                                <TD>{{ horario.HoraInicio|escape }}</TD>
                                <TD>{{ horario.HoraFin|escape }}</TD>
                                <TD>{{ horario.Seccion|escape }}</TD>
                                {% if perms.Horarios.change_horario %}
                                    <TD><a class="changelink" href="../../editarhorario/{{ horario.id|escape }}/"
                                           onclick="return abrir_popup('../../editarhorario/{{ horario.id|escape }}/');"></a>
                                    </TD>
                                {% endif %}
                                {% if perms.Horarios.delete_horario %}
                                    <TD><a class="deletelink"
                                           href="../../../../Labordocente/horario/{{ horario.id|escape }}/delete/"
                                           onclick="return abrir_popup('../../../../Labordocente/horario/{{ horario.id|escape }}/delete/');"></a>
                                    </TD>
                                {% endif %}
                            </TR>
                        {% endfor %}
                        </TBODY>
                    </table>
                {% else %}
                    <p>{% trans 'No se encontraron coincidencias' %}</p>
                {% endif %}
            {% endblock %}
            {% block pagination %}
                <p class="paginator">
                    {{ horarios.count }} Horario(s) para este Labor
                </p>
            {% endblock %}
        </div>
    {% endif %}
    <!-- </div> -->
{% endblock %}
